## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanDocumentBuilder.hpp File Reference

Include dependency graph for XalanDocumentBuilder.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

- class XalanDocumentBuilder
    This is abstract base class designed to allow a XalanTranfomer object to use a document that is build dynamically by a user. More...

## Defines

- #define XALANDOCUMENTBUILDER_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DTDHandler DTDHandlerType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  LexicalHandler LexicalHandlerType

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  typedef XERCES_CPP_NAMESPACE_QUALIFIER
  ContentHandler ContentHandlerType

## Define Documentation

#define XALANDOCUMENTBUILDER_HEADER_GUARD

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DTDHandler DTDHandlerType

typedef XERCES_CPP_NAMESPACE_QUALIFIER LexicalHandler LexicalHandlerType

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER ContentHandler ContentHandlerType

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.